org.apache.thrift

## Class EncodingUtils

- java.lang.Object
- - org.apache.thrift.EncodingUtils

-     public class EncodingUtils
      extends java.lang.Object

  Utility methods for use when encoding/decoding raw data as byte arrays.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `decodeBigEndian(byte[] buf)` Decode a series of 4 bytes from `buf`, starting at position 0, and interpret them as an integer.
    `static int` | `decodeBigEndian(byte[] buf, int offset)` Decode a series of 4 bytes from `buf`, start at `offset`, and interpret them as an integer.
    `static void` | `encodeBigEndian(int integer, byte[] buf)` Encode `integer` as a series of 4 bytes into `buf` starting at position 0 within that buffer.
    `static void` | `encodeBigEndian(int integer, byte[] buf, int offset)` Encode `integer` as a series of 4 bytes into `buf` starting at position `offset`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingUtils

          public EncodingUtils()

  - ### Method Detail

    - #### encodeBigEndian

          public static final void encodeBigEndian(int integer,
                             byte[] buf)

      Encode `integer` as a series of 4 bytes into `buf` starting at position 0 within that buffer.
      Parameters:
        `integer` - The integer to encode.
        `buf` - The buffer to write to.

    - #### encodeBigEndian

          public static final void encodeBigEndian(int integer,
                             byte[] buf,
                             int offset)

      Encode `integer` as a series of 4 bytes into `buf` starting at position `offset`.
      Parameters:
        `integer` - The integer to encode.
        `buf` - The buffer to write to.
        `offset` - The offset within `buf` to start the encoding.

    - #### decodeBigEndian

          public static final int decodeBigEndian(byte[] buf)

      Decode a series of 4 bytes from `buf`, starting at position 0, and interpret them as an integer.
      Parameters:
        `buf` - The buffer to read from.
      Returns:
        An integer, as read from the buffer.

    - #### decodeBigEndian

          public static final int decodeBigEndian(byte[] buf,
                            int offset)

      Decode a series of 4 bytes from `buf`, start at `offset`, and interpret them as an integer.
      Parameters:
        `buf` - The buffer to read from.
        `offset` - The offset with `buf` to start the decoding.
      Returns:
        An integer, as read from the buffer.